{% extends 'base.html.twig' %}

{% block title %}Hello AuthorController!{% endblock %}

{% block body %}
    <style>
        .example-wrapper {
            margin: 1em auto;
            max-width: 800px;
            width: 95%;
            font: 18px/1.5 sans-serif;
        }

        .example-wrapper code {
            background: #F5F5F5;
            padding: 2px 6px;
        }
    </style>

    <div class="example-wrapper">
        <h1>Add book</h1>
        {% for message in app.flashes('warning') %}
            <div class="flash-notice">
                {{ message }}
            </div>
        {% endfor %}



        <form action="{{ path('add_book_post') }}" method="POST">

             <label for="author_id">Author</label>
            <select name="author_id" id="author_id">
                {% for author in authors %}
                <option label="{{ author.first_name }} {{ author.last_name }}" value="{{ author.id }}"></option>
                {% endfor %}
            </select>

            <label for="title">Title</label>
            <input name="title" id="title">

            <label for="release_date">Release date</label>
            <input name="release_date" id="release_date">

            <label for="description">Description</label>
            <input name="description" id="description">

            <label for="format">Format</label>
            <input name="format" id="format">

            <label for="isbn">ISBN</label>
            <input name="isbn" id="isbn">

             <label for="number_of_pages">Number of pages</label>
            <input name="number_of_pages" id="number_of_pages" type="number">



            <input type="submit">
        </form>

    </div>
{% endblock %}
